Bug 1111781 - internal compiler error: Segmentation fault
Summary: internal compiler error: Segmentation fault
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-21 11:34 UTC by josef radinger
Modified: 2014-06-27 02:24 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-06-27 02:24:20 UTC


Attachments (Terms of Use)
preprocessed source 1 (14.26 MB, text/plain)
2014-06-21 11:34 UTC, josef radinger
no flags Details
preprocessed source 2 (7.45 MB, text/plain)
2014-06-21 11:37 UTC, josef radinger
no flags Details
preprocessed source 3 (6.83 MB, text/plain)
2014-06-21 11:41 UTC, josef radinger
no flags Details

Description josef radinger 2014-06-21 11:34:00 UTC
Created attachment 910999 [details]
preprocessed source 1

Description of problem:

compilation of gmic (gmic.sf.net) fails-

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
download 
http://www.nosuchhost.net/~cheese/temp/gmic-1.5.9.3-1.fc20.src.rpm
and try to build it via mock
eg.: mock -r fedora-20-x86_64 gmic-1.5.9.3-1.fc20.src.rpm



Actual results:

g++ -o gmic_gimp.o -c gmic.cpp -Dgmic_build -I/usr/include -Wall -W  -Dcimg_use_vt100 -Dgmic_is_parallel -fopenmp -Dcimg_use_openmp -Dcimg_use_fftw3 -Dcimg_use_png -Dcimg_use_zlib  -Dcimg_display=0 -Dcimg_use_rng -O2 -fno-ipa-sra -mtune=generic  -Dgmic_gimp -Dgmi
In file included from gmic.h:70:0,
                 from gmic.cpp:1879:
./CImg.h: In instantiation of 'cimg_library::CImg<T>& cimg_library::CImg<T>::operator*=(t) [with t = int; T = unsigned char]':
./CImg.h:47488:73:   required from 'int cimg_library::cimg::dialog(const char*, const char*, const char*, const char*, const char*, const char*, const char*, const char*, const cimg_library::CImg<T>&, bool) [with t = unsigned char]'
./CImg.h:47573:64:   required from here
./CImg.h:650:35: internal compiler error: Segmentation fault
 #define cimg_rof(img,ptrs,T_ptrs) for (T_ptrs *ptrs = (img)._data + (img).size() - 1; ptrs>=(img)._data; --ptrs)
                                   ^
./CImg.h:10635:7: note: in expansion of macro 'cimg_rof'
       cimg_rof(*this,ptrd,T) *ptrd = (T)(*ptrd * value);
       ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
In file included from gmic.h:70:0,
                 from gmic.cpp:1879:
./CImg.h: In instantiation of 'cimg_library::CImg<T>& cimg_library::CImg<T>::operator+=(t) [with t = float; T = float]':
gmic.cpp:4428:1223:   required from 'gmic& gmic::_parse(const cimg_library::CImgList<char>&, unsigned int&, cimg_library::CImgList<T>&, cimg_library::CImgList<char>&, unsigned int*) [with T = float]'
gmic.cpp:13102:75:   required from here
./CImg.h:10337:7: internal compiler error: Segmentation fault
       cimg_rof(*this,ptrd,T) *ptrd = (T)(*ptrd + value);
       ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cc7YzUJp.out file, please attach this to your bugreport.
make[2]: *** [gmic_lib.o] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/gmic-1.5.9.3/src'
make[1]: *** [lib] Error 2
make[1]: *** Waiting for unfinished jobs....
Preprocessed source stored into /tmp/ccIpN3EP.out file, please attach this to your bugreport.
make[2]: *** [gmic] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/gmic-1.5.9.3/src'
make[1]: *** [linux] Error 2
In file included from gmic.h:70:0,
                 from gmic.cpp:1879:
./CImg.h: In instantiation of 'cimg_library::CImg<T>& cimg_library::CImg<T>::operator+=(t) [with t = float; T = float]':
gmic.cpp:4428:1223:   required from 'gmic& gmic::_parse(const cimg_library::CImgList<char>&, unsigned int&, cimg_library::CImgList<T>&, cimg_library::CImgList<char>&, unsigned int*) [with T = float]'
gmic.cpp:13102:75:   required from here
./CImg.h:10337:7: internal compiler error: Segmentation fault
       cimg_rof(*this,ptrd,T) *ptrd = (T)(*ptrd + value);
       ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccXD1HFO.out file, please attach this to your bugreport.
make[2]: Leaving directory `/builddir/build/BUILD/gmic-1.5.9.3/src'
make[2]: *** [gmic_gimp.o] Error 1

Expected results:


Additional info:

Comment 1 josef radinger 2014-06-21 11:37:43 UTC
Created attachment 911000 [details]
preprocessed source 2

Comment 2 josef radinger 2014-06-21 11:41:01 UTC
Created attachment 911001 [details]
preprocessed source 3

Comment 3 Fedora Update System 2014-06-25 09:03:18 UTC
gcc-4.8.3-1.fc20,libtool-2.4.2-24.fc20,gcc-python-plugin-0.12-16.fc20,dragonegg-3.4-0.4.rc0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gcc-4.8.3-1.fc20,libtool-2.4.2-24.fc20,gcc-python-plugin-0.12-16.fc20,dragonegg-3.4-0.4.rc0.fc20

Comment 4 Fedora Update System 2014-06-26 01:55:23 UTC
Package gcc-4.8.3-1.fc20, libtool-2.4.2-24.fc20, gcc-python-plugin-0.12-16.fc20, dragonegg-3.4-0.4.rc0.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gcc-4.8.3-1.fc20 libtool-2.4.2-24.fc20 gcc-python-plugin-0.12-16.fc20 dragonegg-3.4-0.4.rc0.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7741/gcc-4.8.3-1.fc20,libtool-2.4.2-24.fc20,gcc-python-plugin-0.12-16.fc20,dragonegg-3.4-0.4.rc0.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-06-27 02:24:20 UTC
gcc-4.8.3-1.fc20, libtool-2.4.2-24.fc20, gcc-python-plugin-0.12-16.fc20, dragonegg-3.4-0.4.rc0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.